/*:VRX         Main
*/
/*  Main
*/
Main:
/* Turn off the console box */
Call VRRedirectStdio "Off"
Call VRSet "Console", "WindowListTitle", ""

/* Time to check the Ini file */
Call INI_Check

/*  Process the arguments.
    Get the parent window.
*/
    parse source . calledAs .
    parent = ""
    argCount = arg()
    argOff = 0
    if( calledAs \= "COMMAND" )then do
        if argCount >= 1 then do
            parent = arg(1)
            argCount = argCount - 1
            argOff = 1
        end
    end; else do
        call VROptions 'ImplicitNames'
    end
    InitArgs.0 = argCount
    if( argCount > 0 )then do i = 1 to argCount
        InitArgs.i = arg( i + argOff )
    end
    drop calledAs argCount argOff

/*  Load the windows
*/
    call VRInit
    parse source . . spec
    _VREPrimaryWindowPath = ,
        VRParseFileName( spec, "dpn" ) || ".VRW"
    _VREPrimaryWindow = ,
        VRLoad( parent, _VREPrimaryWindowPath )
    drop parent spec
    if( _VREPrimaryWindow == "" )then do
        call VRMessage "", "Cannot load window:" VRError(), ,
            "Error!"
        _VREReturnValue = 32000
        signal _VRELeaveMain
    end

/*  Process events
*/
    call Init
    signal on halt
    do while( \ VRGet( _VREPrimaryWindow, "Shutdown" ) )
        _VREEvent = VREvent()
        interpret _VREEvent
    end
_VREHalt:
    _VREReturnValue = Fini()
    call VRDestroy _VREPrimaryWindow
_VRELeaveMain:
    call VRFini
exit _VREReturnValue

VRLoadSecondary:
    __vrlsWait = abbrev( 'WAIT', translate(arg(2)), 1 )
    if __vrlsWait then do
        call VRFlush
    end
    __vrlsHWnd = VRLoad( VRWindow(), VRWindowPath(), arg(1) )
    if __vrlsHWnd = '' then signal __vrlsDone
    if __vrlsWait \= 1 then signal __vrlsDone
    call VRSet __vrlsHWnd, 'WindowMode', 'Modal' 
    __vrlsTmp = __vrlsWindows.0
    if( DataType(__vrlsTmp) \= 'NUM' ) then do
        __vrlsTmp = 1
    end
    else do
        __vrlsTmp = __vrlsTmp + 1
    end
    __vrlsWindows.__vrlsTmp = VRWindow( __vrlsHWnd )
    __vrlsWindows.0 = __vrlsTmp
    do while( VRIsValidObject( VRWindow() ) = 1 )
        __vrlsEvent = VREvent()
        interpret __vrlsEvent
    end
    __vrlsTmp = __vrlsWindows.0
    __vrlsWindows.0 = __vrlsTmp - 1
    call VRWindow __vrlsWindows.__vrlsTmp 
    __vrlsHWnd = ''
__vrlsDone:
return __vrlsHWnd

/*:VRX         EF_1_Change
*/
EF_1_Change:
Imagepath = VRGet( "EF_1", "Value" )
return

/*:VRX         EF_1_LostFocus
*/
EF_1_LostFocus: 
Imagepath = VRGet( "EF_1", "Value" )
ok = VRSet( "EF_1", "Visible", 0 )
return

/*:VRX         EF_1_Verify
*/
EF_1_Verify: 
Imagepath = VRGet( "EF_1", "Value" )
ok = VRSet( "EF_1", "Visible", 0 )
return

/*:VRX         Fini
*/
Fini:
    window = VRWindow()
    call VRSet window, "Visible", 0
    drop window
return 0

/*:VRX         Halt
*/
Halt:
    signal _VREHalt
return

/*:VRX         INI_Check
*/
INI_Check: 
/* See if the INI exist */
Okay = VRFileExists(RBG.INI)
If Okay = 0 then do
    Imagepath = 'C:\OS2\BITMAP\*.BMP'
    Imagestyle = 'S'
    Imagetile = '1'
    RBGINI = VRSetIni( RBG, Path_for_Images, Imagepath, RBG.INI, "NoClose")
    RBGINI = VRSetIni( RBG, Style_of_Images, Imagestyle, RBG.INI, "NoClose")
    RBGINI = VRSetIni( RBG, Tile_of_Images, Imagetile, RBG.INI, )
    end
If Okay = 1 then do
    Imagepath = VRGetIni( RBG, Path_for_Images, RBG.INI, "NoClose")
    Imagestyle = VRGetIni( RBG, Style_of_Images, RBG.INI, "NoClose")
    Imagetile = VRGetIni( RBG, Tile_of_Images, RBG.INI, )
    end
return

/*:VRX         INI_Write
*/
INI_Write: 
    RBGINI = VRSetIni( RBG, Path_for_Images, Imagepath, RBG.INI, "NoClose")
    RBGINI = VRSetIni( RBG, Style_of_Images, Imagestyle, RBG.INI, "NoClose")
    RBGINI = VRSetIni( RBG, Tile_of_Images, Imagetile, RBG.INI, )
return

/*:VRX         Init
*/
Init:
    window = VRWindow()
    call VRMethod window, "CenterWindow"
    call VRSet window, "Visible", 1
    call VRMethod window, "Activate"
    drop window
return

/*:VRX         Menu11_Click
*/
Menu11_Click: 
ok = VRSet( "TM_2", "Delay", 300000 * 12 )
return

/*:VRX         Menu12_Click
*/
Menu12_Click: 
If Imagestyle = "S" then Imagestyle = "Scaled"
If Imagestyle = "N" then Imagestyle = "Normal"
If Imagestyle = "T" then Imagestyle = "Tile"
ok = VRSet( "SPIN_1", "Value", Imagetile )
ok = VRSet( "SPIN_2", "Value", "Imagestyle" )
ok = VRSet( "SPIN_2", "Visible", 1 )
return

/*:VRX         Menu13_Click
*/
Menu13_Click: 
Call Ini_Write
return

/*:VRX         Menu1_Click
*/
Menu1_Click: 
ok = VRSet( "TM_2", "Enabled", 1 )
ok = VRSet( "EF_1", "Visible", 0 ) 
ok = VRSet( "Spin_2", "Visible", 0 )
ok = VRSet( "Spin_1", "Visible", 0 )
return
/*:VRX         Menu2_Click
*/
Menu2_Click: 
Call Quit
return

/*:VRX         Menu3_Click
*/
Menu3_Click: 
ok = VRSet( "EF_1", "Enabled", 1 )
ok = VRSet( "EF_1", "Visible", 1 )
ok = VRSet( "EF_1", "Value", Imagepath )
return



/*:VRX         Menu4_Click
*/
Menu4_Click: 

return

/*:VRX         Menu5_Click
*/
Menu5_Click: 
ok = VRSet( "TM_2", "Delay", 300000 )
return

/*:VRX         Menu6_Click
*/
Menu6_Click: 
ok = VRSet( "TM_2", "Delay", 600000 )
return

/*:VRX         Menu7_Click
*/
Menu7_Click: 
ok = VRSet( "TM_2", "Delay", 900000 )
return

/*:VRX         Menu8_Click
*/
Menu8_Click: 
rvalue = random(5,60)
rvalue = rvalue * 60 * 1000
ok = VRSet( "TM_2", "Delay", rvalue )
return

/*:VRX         Menu9_Click
*/
Menu9_Click: 
ok = VRSet( "TM_2", "Delay", 5000 )
return

/*:VRX         Quit
*/
Quit:
    window = VRWindow()
    call VRSet window, "Shutdown", 1
    drop window
return

/*:VRX         SPIN_1_Change
*/
SPIN_1_Change: 
Imagetile = VRGet( "SPIN_1", "Value" )
return

/*:VRX         SPIN_1_LostFocus
*/
SPIN_1_LostFocus:
Imagetile = VRGet( "SPIN_1", "Value" )
ok = VRSet( "SPIN_1", "Visible", 0 )
return

/*:VRX         SPIN_2_Change
*/
SPIN_2_Change:
Value = VRGet( "SPIN_2", "Value" )
If Value = "Normal" then do
    Imagestyle = "N"
    Imagetile = 1
    end
If Value = "Tile" then do
    Imagestyle = "T"
    Imagetile = 0
    end
If Value = "Scaled" then do
    Imagestyle = "S"
    ok = VRSet( "SPIN_1", "Visible", 1 )
    Imagetile = VRGet( "SPIN_1", "Value" )
    end
    Else
ok = VRSet( "SPIN_1", "Visible", 0 )
return

/*:VRX         SPIN_2_LostFocus
*/
SPIN_2_LostFocus: 
Value = VRGet( "SPIN_2", "Value" ) 
If Value = "Scaled" then do
    ok = VRSet( "SPIN_1", "Visible", 1 )
    return
    end    
ok = VRSet( "SPIN_2", "Visible", 0 )
ok = VRSet( "SPIN_1", "Visible", 0 )
return

/*:VRX         TM_2_Trigger
*/
TM_2_Trigger:
ok = VRSet( "EF_1", "Enabled", 0 )
/* Random Bitmaps */
call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs
PARSE UPPER ARG newbitmap
if (newbitmap = " ") then
   do
      call SysFileTree Imagepath, "bitmaps.", "O"
         i = random(1,bitmaps.0)
         newbitmap = bitmaps.i
      end
call SysSetObjectData "<WP_DESKTOP>", "BACKGROUND="newbitmap","Imagestyle",Imagetile,I;"
ok = VRSet( "EF_1", "Enabled", 1 )
return
/*:VRX         Window1_Close
*/
Window1_Close:
    call Quit
return

